# Reenviar Assinaturas

Para reenviar uma assinatura, utiliza-se a seguinte *mutation:*

```graphql
mutation{
  resendSignatures(public_ids: [
    "ID_DA_ASSINATURA_1",
    "ID_DA_ASSINATURA_2",
    "..."
  ])
}
```

#### Parâmetros

* `public_ids`:  Lista de IDs de assinaturas a serem reenviadas. Representa o campo `public_id` das `signatures`.

{% hint style="info" %}
Essa mutation considera que alguns dos reenvios podem estar em *timeout*. Caso todos os ids de assinatura já tiverem sido reenviados recentemente, você receberá o erro `too_many_resent_emails`. Caso apenas alguns estejam nesse limite, elas serão ignoradas, e as assinaturas restantes serão reenviadas.
{% endhint %}

#### Resposta esperada

```json
{
  "data": {
    "resendSignatures": true
  }
}
```

{% hint style="info" %}
Se o Altair não te ajuda para integrar com a API, confira alguns exemplos de como fazer essas requisições de outra forma: <https://graphql.org/graphql-js/graphql-clients/>
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.autentique.com.br/api/2/mutations/reenviar-assinaturas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
